"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = __importDefault(require("react"));
const ui_react_1 = require("@amaui/ui-react");
const IconMaterialBathroom = react_1.default.forwardRef((props, ref) => {
    return ((0, jsx_runtime_1.jsxs)(ui_react_1.Icon, Object.assign({ ref: ref, name: 'Bathroom', short_name: 'Bathroom', viewBox: '0 0 24 24' }, props, { children: [(0, jsx_runtime_1.jsx)("g", { children: (0, jsx_runtime_1.jsx)("path", { d: "M0,0h24v24H0V0z", fill: "none" }) }), (0, jsx_runtime_1.jsx)("g", { children: (0, jsx_runtime_1.jsxs)("g", { children: [(0, jsx_runtime_1.jsx)("path", { d: "M4,20h16V4H4V20z M9,18c-0.55,0-1-0.45-1-1s0.45-1,1-1s1,0.45,1,1S9.55,18,9,18z M9,15c-0.55,0-1-0.45-1-1 s0.45-1,1-1s1,0.45,1,1S9.55,15,9,15z M12,18c-0.55,0-1-0.45-1-1s0.45-1,1-1s1,0.45,1,1S12.55,18,12,18z M12,15 c-0.55,0-1-0.45-1-1s0.45-1,1-1s1,0.45,1,1S12.55,15,12,15z M15,18c-0.55,0-1-0.45-1-1s0.45-1,1-1s1,0.45,1,1S15.55,18,15,18z M15,15c-0.55,0-1-0.45-1-1s0.45-1,1-1s1,0.45,1,1S15.55,15,15,15z M7,11c0-2.76,2.24-5,5-5s5,2.24,5,5v1H7V11z", opacity: ".3" }), (0, jsx_runtime_1.jsx)("circle", { cx: "15", cy: "14", r: "1" }), (0, jsx_runtime_1.jsx)("circle", { cx: "12", cy: "14", r: "1" }), (0, jsx_runtime_1.jsx)("circle", { cx: "15", cy: "17", r: "1" }), (0, jsx_runtime_1.jsx)("path", { d: "M20,2H4C2.9,2,2,2.9,2,4v16c0,1.1,0.9,2,2,2h16c1.1,0,2-0.9,2-2V4C22,2.9,21.1,2,20,2z M20,20H4V4h16V20z" }), (0, jsx_runtime_1.jsx)("path", { d: "M17,11c0-2.76-2.24-5-5-5s-5,2.24-5,5v1h10V11z M8.54,10.5c0.24-1.69,1.7-3,3.46-3s3.22,1.31,3.47,3H8.54z" }), (0, jsx_runtime_1.jsx)("circle", { cx: "9", cy: "17", r: "1" }), (0, jsx_runtime_1.jsx)("circle", { cx: "9", cy: "14", r: "1" }), (0, jsx_runtime_1.jsx)("circle", { cx: "12", cy: "17", r: "1" })] }) })] })));
});
IconMaterialBathroom.displayName = 'AmauiIconMaterialBathroom';
exports.default = IconMaterialBathroom;
