"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = __importDefault(require("react"));
const ui_react_1 = require("@amaui/ui-react");
const IconMaterialDisplaySettings = react_1.default.forwardRef((props, ref) => {
    return ((0, jsx_runtime_1.jsxs)(ui_react_1.Icon, Object.assign({ ref: ref, name: 'DisplaySettings', short_name: 'DisplaySettings', viewBox: '0 0 24 24' }, props, { children: [(0, jsx_runtime_1.jsx)("g", { children: (0, jsx_runtime_1.jsx)("rect", { fill: "none", height: "24", width: "24" }) }), (0, jsx_runtime_1.jsx)("g", { children: (0, jsx_runtime_1.jsxs)("g", { children: [(0, jsx_runtime_1.jsx)("path", { d: "M4,17h16V5H4V17z M18,13.75h-8v-1.5h8V13.75z M15,7h1.5v1.25H18v1.5h-1.5V11H15V7z M6,8.25h8v1.5H6V8.25z M6,12.25h1.5V11H9v4H7.5v-1.25H6V12.25z", opacity: ".3" }), (0, jsx_runtime_1.jsx)("path", { d: "M20,3H4C2.89,3,2,3.89,2,5v12c0,1.1,0.89,2,2,2h4v2h8v-2h4c1.1,0,2-0.9,2-2V5C22,3.89,21.1,3,20,3z M20,17H4V5h16V17z" }), (0, jsx_runtime_1.jsx)("rect", { height: "1.5", width: "8", x: "6", y: "8.25" }), (0, jsx_runtime_1.jsx)("polygon", { points: "16.5,9.75 18,9.75 18,8.25 16.5,8.25 16.5,7 15,7 15,11 16.5,11" }), (0, jsx_runtime_1.jsx)("rect", { height: "1.5", width: "8", x: "10", y: "12.25" }), (0, jsx_runtime_1.jsx)("polygon", { points: "7.5,15 9,15 9,11 7.5,11 7.5,12.25 6,12.25 6,13.75 7.5,13.75" })] }) })] })));
});
IconMaterialDisplaySettings.displayName = 'AmauiIconMaterialDisplaySettings';
exports.default = IconMaterialDisplaySettings;
