"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = __importDefault(require("react"));
const ui_react_1 = require("@amaui/ui-react");
const IconMaterialEmojiTransportation = react_1.default.forwardRef((props, ref) => {
    return ((0, jsx_runtime_1.jsxs)(ui_react_1.Icon, Object.assign({ ref: ref, name: 'EmojiTransportation', short_name: 'EmojiTransportation', viewBox: '0 0 24 24' }, props, { children: [(0, jsx_runtime_1.jsx)("g", { children: (0, jsx_runtime_1.jsx)("rect", { fill: "none", height: "24", width: "24" }) }), (0, jsx_runtime_1.jsxs)("g", { children: [(0, jsx_runtime_1.jsx)("g", {}), (0, jsx_runtime_1.jsxs)("g", { children: [(0, jsx_runtime_1.jsx)("path", { d: "M20.57,10.66C20.43,10.26,20.05,10,19.6,10h-7.19c-0.46,0-0.83,0.26-0.98,0.66L10,14.77l0.01,5.51 c0,0.38,0.31,0.72,0.69,0.72h0.62C11.7,21,12,20.62,12,20.24V19h8v1.24c0,0.38,0.31,0.76,0.69,0.76h0.61 c0.38,0,0.69-0.34,0.69-0.72L22,18.91v-4.14L20.57,10.66z M12.41,11h7.19l1.03,3h-9.25L12.41,11z M12,17c-0.55,0-1-0.45-1-1 s0.45-1,1-1s1,0.45,1,1S12.55,17,12,17z M20,17c-0.55,0-1-0.45-1-1s0.45-1,1-1s1,0.45,1,1S20.55,17,20,17z" }), (0, jsx_runtime_1.jsx)("polygon", { points: "14,9 15,9 15,3 7,3 7,8 2,8 2,21 3,21 3,9 8,9 8,4 14,4" }), (0, jsx_runtime_1.jsx)("rect", { height: "2", width: "2", x: "5", y: "11" }), (0, jsx_runtime_1.jsx)("rect", { height: "2", width: "2", x: "10", y: "5" }), (0, jsx_runtime_1.jsx)("rect", { height: "2", width: "2", x: "5", y: "15" }), (0, jsx_runtime_1.jsx)("rect", { height: "2", width: "2", x: "5", y: "19" })] })] })] })));
});
IconMaterialEmojiTransportation.displayName = 'AmauiIconMaterialEmojiTransportation';
exports.default = IconMaterialEmojiTransportation;
