import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialAssuredWorkload = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "AssuredWorkload",
    short_name: "AssuredWorkload",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("rect", {
    fill: "none",
    height: "24",
    width: "24"
  })), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("polygon", {
    opacity: ".3",
    points: "6.47,6 17.53,6 12,3.24"
  }), /*#__PURE__*/React.createElement("rect", {
    height: "7",
    width: "2",
    x: "5",
    y: "10"
  }), /*#__PURE__*/React.createElement("rect", {
    height: "7",
    width: "2",
    x: "11",
    y: "10"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M22,6L12,1L2,6v2h20V6z M6.47,6L12,3.24L17.53,6H6.47z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M2,19v2h12.4c-0.21-0.64-0.32-1.31-0.36-2H2z"
  }), /*#__PURE__*/React.createElement("polygon", {
    points: "19,12.26 19,10 17,10 17,13.26"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M20,14l-4,2v2.55c0,2.52,1.71,4.88,4,5.45c2.29-0.57,4-2.93,4-5.45V16L20,14z M19.28,21l-2.03-2.03l1.06-1.06l0.97,0.97 l2.41-2.38l1.06,1.06L19.28,21z"
  }))));
});
IconMaterialAssuredWorkload.displayName = 'AmauiIconMaterialAssuredWorkload';
export default IconMaterialAssuredWorkload;