import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialBarChart = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "BarChart",
    short_name: "BarChart",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("rect", {
    fill: "none",
    height: "24",
    width: "24"
  })), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("rect", {
    height: "11",
    width: "4",
    x: "4",
    y: "9"
  }), /*#__PURE__*/React.createElement("rect", {
    height: "7",
    width: "4",
    x: "16",
    y: "13"
  }), /*#__PURE__*/React.createElement("rect", {
    height: "16",
    width: "4",
    x: "10",
    y: "4"
  }))));
});
IconMaterialBarChart.displayName = 'AmauiIconMaterialBarChart';
export default IconMaterialBarChart;