import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialBlinds = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "Blinds",
    short_name: "Blinds",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("rect", {
    fill: "none",
    height: "24",
    width: "24"
  })), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("rect", {
    height: "2",
    opacity: ".3",
    width: "8",
    x: "6",
    y: "9"
  }), /*#__PURE__*/React.createElement("rect", {
    height: "2",
    opacity: ".3",
    width: "8",
    x: "6",
    y: "5"
  }), /*#__PURE__*/React.createElement("rect", {
    height: "2",
    opacity: ".3",
    width: "2",
    x: "16",
    y: "9"
  }), /*#__PURE__*/React.createElement("rect", {
    height: "2",
    opacity: ".3",
    width: "2",
    x: "16",
    y: "5"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M20,19V3H4v16H2v2h20v-2H20z M6,5h8v2H6V5z M6,9h8v2H6V9z M18,19H6v-6h8v1.82c-0.45,0.32-0.75,0.84-0.75,1.43 c0,0.97,0.78,1.75,1.75,1.75s1.75-0.78,1.75-1.75c0-0.59-0.3-1.12-0.75-1.43V13h2V19z M18,11h-2V9h2V11z M18,7h-2V5h2V7z"
  }))));
});
IconMaterialBlinds.displayName = 'AmauiIconMaterialBlinds';
export default IconMaterialBlinds;