import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialBrowseGallery = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "BrowseGallery",
    short_name: "BrowseGallery",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("rect", {
    fill: "none",
    height: "24",
    width: "24"
  })), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("path", {
    d: "M9,5c-3.86,0-7,3.14-7,7s3.14,7,7,7s7-3.14,7-7S12.86,5,9,5z M11.79,16.21L8,12.41V7h2v4.59l3.21,3.21 L11.79,16.21z",
    opacity: ".3"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M9,3c-4.97,0-9,4.03-9,9s4.03,9,9,9s9-4.03,9-9S13.97,3,9,3z M9,19c-3.86,0-7-3.14-7-7s3.14-7,7-7s7,3.14,7,7 S12.86,19,9,19z"
  }), /*#__PURE__*/React.createElement("polygon", {
    points: "10,7 8,7 8,12.41 11.79,16.21 13.21,14.79 10,11.59"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M17.99,3.52v2.16C20.36,6.8,22,9.21,22,12c0,2.79-1.64,5.2-4.01,6.32v2.16C21.48,19.24,24,15.91,24,12 C24,8.09,21.48,4.76,17.99,3.52z"
  }))));
});
IconMaterialBrowseGallery.displayName = 'AmauiIconMaterialBrowseGallery';
export default IconMaterialBrowseGallery;