import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialCalendarViewDay = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "CalendarViewDay",
    short_name: "CalendarViewDay",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("path", {
    d: "M0 0h24v24H0V0z",
    fill: "none"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M3 17h18v2H3zm16-5v1H5v-1h14m2-2H3v5h18v-5zM3 6h18v2H3z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M5 12h14v1H5z",
    opacity: ".3"
  }));
});
IconMaterialCalendarViewDay.displayName = 'AmauiIconMaterialCalendarViewDay';
export default IconMaterialCalendarViewDay;