import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialCallReceived = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "CallReceived",
    short_name: "CallReceived",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("path", {
    d: "M0 0h24v24H0V0z",
    fill: "none"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M15 17H8.41L20 5.41 18.59 4 7 15.59V9H5v10h10z"
  }));
});
IconMaterialCallReceived.displayName = 'AmauiIconMaterialCallReceived';
export default IconMaterialCallReceived;