import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialCompress = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "Compress",
    short_name: "Compress",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("path", {
    d: "M0,0h24v24H0V0z",
    fill: "none"
  })), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("rect", {
    height: "2",
    width: "16",
    x: "4",
    y: "9"
  }), /*#__PURE__*/React.createElement("polygon", {
    points: "16,4 13,4 13,1 11,1 11,4 8,4 12,8"
  }), /*#__PURE__*/React.createElement("polygon", {
    points: "8,19 11,19 11,22 13,22 13,19 16,19 12,15"
  }), /*#__PURE__*/React.createElement("rect", {
    height: "2",
    width: "16",
    x: "4",
    y: "12"
  }))));
});
IconMaterialCompress.displayName = 'AmauiIconMaterialCompress';
export default IconMaterialCompress;