import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialDataArray = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "DataArray",
    short_name: "DataArray",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("rect", {
    fill: "none",
    height: "24",
    width: "24"
  })), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("polygon", {
    points: "15,4 15,6 18,6 18,18 15,18 15,20 20,20 20,4"
  }), /*#__PURE__*/React.createElement("polygon", {
    points: "4,20 9,20 9,18 6,18 6,6 9,6 9,4 4,4"
  }))));
});
IconMaterialDataArray.displayName = 'AmauiIconMaterialDataArray';
export default IconMaterialDataArray;