import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialDeblur = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "Deblur",
    short_name: "Deblur",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("rect", {
    fill: "none",
    height: "24",
    width: "24"
  })), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("circle", {
    cx: "6",
    cy: "14",
    r: "1"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: "6",
    cy: "18",
    r: "1"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: "6",
    cy: "10",
    r: "1"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: "3",
    cy: "10",
    r: ".5"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: "6",
    cy: "6",
    r: "1"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: "3",
    cy: "14",
    r: ".5"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: "10",
    cy: "21",
    r: ".5"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: "10",
    cy: "3",
    r: ".5"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: "10",
    cy: "6",
    r: "1"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: "10",
    cy: "14",
    r: "1.5"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: "10",
    cy: "10",
    r: "1.5"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: "10",
    cy: "18",
    r: "1"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M12,3v2c3.86,0,7,3.14,7,7s-3.14,7-7,7v2c4.96,0,9-4.04,9-9S16.96,3,12,3z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M12,5v14c3.86,0,7-3.14,7-7S15.86,5,12,5z",
    opacity: ".3"
  }))));
});
IconMaterialDeblur.displayName = 'AmauiIconMaterialDeblur';
export default IconMaterialDeblur;