import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialDelete = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "Delete",
    short_name: "Delete",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("path", {
    d: "M0 0h24v24H0V0z",
    fill: "none"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M8 9h8v10H8z",
    opacity: ".3"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M15.5 4l-1-1h-5l-1 1H5v2h14V4zM6 19c0 1.1.9 2 2 2h8c1.1 0 2-.9 2-2V7H6v12zM8 9h8v10H8V9z"
  }));
});
IconMaterialDelete.displayName = 'AmauiIconMaterialDelete';
export default IconMaterialDelete;