import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialDomainDisabled = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "DomainDisabled",
    short_name: "DomainDisabled",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("path", {
    d: "M0 0h24v24H0V0z",
    fill: "none"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M1.41 1.69L0 3.1l2 2V21h15.9l3 3 1.41-1.41-20.9-20.9zM6 19H4v-2h2v2zm0-4H4v-2h2v2zm-2-4V9h2v2H4zm6 8H8v-2h2v2zm-2-4v-2h2v2H8zm4 4v-2h1.9l2 2H12zM8 5h2v2h-.45L12 9.45V9h8v8.45l2 2V7H12V3H5.55L8 5.45zm8 6h2v2h-2z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M12 9v.45l8 8V9h-8zm6 4h-2v-2h2v2z",
    opacity: ".3"
  }));
});
IconMaterialDomainDisabled.displayName = 'AmauiIconMaterialDomainDisabled';
export default IconMaterialDomainDisabled;