import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialDoubleArrow = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "DoubleArrow",
    short_name: "DoubleArrow",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("rect", {
    fill: "none",
    height: "24",
    width: "24"
  })), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("polygon", {
    points: "15.5,5 11,5 16,12 11,19 15.5,19 20.5,12"
  }), /*#__PURE__*/React.createElement("polygon", {
    points: "8.5,5 4,5 9,12 4,19 8.5,19 13.5,12"
  }))));
});
IconMaterialDoubleArrow.displayName = 'AmauiIconMaterialDoubleArrow';
export default IconMaterialDoubleArrow;