import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialDriveFileMove = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "DriveFileMove",
    short_name: "DriveFileMove",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("rect", {
    fill: "none",
    height: "24",
    width: "24"
  })), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("path", {
    d: "M20,6h-8l-2-2H4C2.9,4,2,4.9,2,6v12c0,1.1,0.9,2,2,2h16c1.1,0,2-0.9,2-2V8C22,6.9,21.1,6,20,6z M20,18H4V6h5.17l1.41,1.41 L11.17,8H20V18z"
  }), /*#__PURE__*/React.createElement("polygon", {
    points: "8,14 12,14 12,17 16,13 12,9 12,12 8,12"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M10.59,7.41L9.17,6H4v12h16V8h-8.83L10.59,7.41z M12,9l4,4l-4,4v-3H8v-2h4V9z",
    opacity: ".3"
  }))));
});
IconMaterialDriveFileMove.displayName = 'AmauiIconMaterialDriveFileMove';
export default IconMaterialDriveFileMove;