import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialFactCheck = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "FactCheck",
    short_name: "FactCheck",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("rect", {
    fill: "none",
    height: "24",
    width: "24"
  })), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("path", {
    d: "M4,19h16V5H4V19z M13.41,10.75l1.41,1.42L17.99,9l1.42,1.42L14.82,15L12,12.16L13.41,10.75z M5,7h5v2H5V7z M5,11h5v2H5V11z M5,15h5v2H5V15z",
    opacity: ".3"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M20,3H4C2.9,3,2,3.9,2,5v14c0,1.1,0.9,2,2,2h16c1.1,0,2-0.9,2-2V5C22,3.9,21.1,3,20,3z M20,19H4V5h16V19z"
  }), /*#__PURE__*/React.createElement("polygon", {
    points: "19.41,10.42 17.99,9 14.82,12.17 13.41,10.75 12,12.16 14.82,15"
  }), /*#__PURE__*/React.createElement("rect", {
    height: "2",
    width: "5",
    x: "5",
    y: "7"
  }), /*#__PURE__*/React.createElement("rect", {
    height: "2",
    width: "5",
    x: "5",
    y: "11"
  }), /*#__PURE__*/React.createElement("rect", {
    height: "2",
    width: "5",
    x: "5",
    y: "15"
  }))));
});
IconMaterialFactCheck.displayName = 'AmauiIconMaterialFactCheck';
export default IconMaterialFactCheck;