import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialFlightClass = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "FlightClass",
    short_name: "FlightClass",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("rect", {
    fill: "none",
    height: "24",
    width: "24",
    y: "0"
  }), /*#__PURE__*/React.createElement("rect", {
    height: "5",
    opacity: ".3",
    width: "2",
    x: "14",
    y: "6"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M16,4h-2c-1.1,0-2,0.9-2,2v5c0,1.1,0.9,2,2,2h2c1.1,0,2-0.9,2-2V6C18,4.9,17.1,4,16,4z M16,11h-2V6h2V11z M9.5,16H18v2H9.49 c-0.88,0-1.66-0.58-1.92-1.43L5,8V4h2v4L9.5,16z M8,19h10v2H8V19z"
  }));
});
IconMaterialFlightClass.displayName = 'AmauiIconMaterialFlightClass';
export default IconMaterialFlightClass;