import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialFoundation = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "Foundation",
    short_name: "Foundation",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("rect", {
    fill: "none",
    height: "24",
    width: "24"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M7,15v-4.81l4-3.6V15H7z M13,15V6.59l4,3.6V15H13z",
    opacity: ".3"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M19,12h3L12,3L2,12h3v3H3v2h2v3h2v-3h4v3h2v-3h4v3h2v-3h2v-2h-2V12z M7,15v-4.81l4-3.6V15H7z M13,15V6.59l4,3.6V15H13z"
  }));
});
IconMaterialFoundation.displayName = 'AmauiIconMaterialFoundation';
export default IconMaterialFoundation;