import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialFunctions = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "Functions",
    short_name: "Functions",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("path", {
    d: "M0 0h24v24H0V0z",
    fill: "none"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M18 17h-7l5-5-5-5h7V4H6v2l6.5 6L6 18v2h12z"
  }));
});
IconMaterialFunctions.displayName = 'AmauiIconMaterialFunctions';
export default IconMaterialFunctions;