import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialHorizontalRule = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "HorizontalRule",
    short_name: "HorizontalRule",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("rect", {
    fill: "none",
    fillRule: "evenodd",
    height: "24",
    width: "24"
  }), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("rect", {
    fillRule: "evenodd",
    height: "2",
    width: "16",
    x: "4",
    y: "11"
  }))));
});
IconMaterialHorizontalRule.displayName = 'AmauiIconMaterialHorizontalRule';
export default IconMaterialHorizontalRule;