import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialHorizontalSplit = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "HorizontalSplit",
    short_name: "HorizontalSplit",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("path", {
    d: "M0 0h24v24H0V0z",
    fill: "none"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M19 15v2H5v-2h14m2-10H3v2h18V5zm0 4H3v2h18V9zm0 4H3v6h18v-6z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M5 15h14v2H5z",
    opacity: ".3"
  }));
});
IconMaterialHorizontalSplit.displayName = 'AmauiIconMaterialHorizontalSplit';
export default IconMaterialHorizontalSplit;