import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialHotel = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "Hotel",
    short_name: "Hotel",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("path", {
    d: "M0 0h24v24H0V0z",
    fill: "none"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M19 9h-6v6h8v-4c0-1.1-.9-2-2-2z",
    opacity: ".3"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: "7",
    cy: "11",
    opacity: ".3",
    r: "1"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M4 11c0 1.66 1.34 3 3 3s3-1.34 3-3-1.34-3-3-3-3 1.34-3 3zm4 0c0 .55-.45 1-1 1s-1-.45-1-1 .45-1 1-1 1 .45 1 1zm11-4h-8v8H3V5H1v15h2v-3h18v3h2v-9c0-2.21-1.79-4-4-4zm2 8h-8V9h6c1.1 0 2 .9 2 2v4z"
  }));
});
IconMaterialHotel.displayName = 'AmauiIconMaterialHotel';
export default IconMaterialHotel;