import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialHourglassBottom = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "HourglassBottom",
    short_name: "HourglassBottom",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("rect", {
    fill: "none",
    height: "24",
    width: "24"
  })), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("polygon", {
    opacity: ".3",
    points: "16,16.5 12,12.5 8,16.5 8,20 16,20"
  }), /*#__PURE__*/React.createElement("polygon", {
    opacity: ".3",
    points: "16,16.5 12,12.5 8,16.5 8,20 16,20"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M6,22h12v-6l-4-4l3.99-4.01L18,2H6l0.01,5.99L10,12l-4,3.99V22z M8,7.5V4h8v3.5l-4,4L8,7.5z M8,16.5l4-4l4,4V20H8V16.5z"
  }))));
});
IconMaterialHourglassBottom.displayName = 'AmauiIconMaterialHourglassBottom';
export default IconMaterialHourglassBottom;