import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialKeyboardOptionKey = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "KeyboardOptionKey",
    short_name: "KeyboardOptionKey",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("rect", {
    fill: "none",
    height: "24",
    width: "24"
  })), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("rect", {
    height: "2",
    width: "6",
    x: "15",
    y: "5"
  }), /*#__PURE__*/React.createElement("polygon", {
    points: "9,5 3,5 3,7 7.85,7 14.77,19 21,19 21,17 15.93,17"
  }))));
});
IconMaterialKeyboardOptionKey.displayName = 'AmauiIconMaterialKeyboardOptionKey';
export default IconMaterialKeyboardOptionKey;