import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialMedication = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "Medication",
    short_name: "Medication",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("path", {
    d: "M0,0h24v24H0V0z",
    fill: "none"
  })), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("path", {
    d: "M7,19h10V8H7V19z M8,12h2.5V9.5h3V12H16v3h-2.5v2.5h-3V15H8V12z",
    opacity: ".3"
  }), /*#__PURE__*/React.createElement("rect", {
    height: "2",
    width: "12",
    x: "6",
    y: "3"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M17,6H7C5.9,6,5,6.9,5,8v11c0,1.1,0.9,2,2,2h10c1.1,0,2-0.9,2-2V8C19,6.9,18.1,6,17,6z M17,19H7V8h10V19z"
  }), /*#__PURE__*/React.createElement("polygon", {
    points: "10.5,17.5 13.5,17.5 13.5,15 16,15 16,12 13.5,12 13.5,9.5 10.5,9.5 10.5,12 8,12 8,15 10.5,15"
  }))));
});
IconMaterialMedication.displayName = 'AmauiIconMaterialMedication';
export default IconMaterialMedication;