import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialNetworkWifi3Bar = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "NetworkWifi3Bar",
    short_name: "NetworkWifi3Bar",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("rect", {
    fill: "none",
    height: "24",
    width: "24"
  })), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("path", {
    d: "M2.92,9.07C5.51,7.08,8.67,6,12,6s6.49,1.08,9.08,3.07l-2.85,2.86C16.46,10.71,14.31,10,12,10 c-2.31,0-4.46,0.71-6.23,1.93L2.92,9.07z",
    opacity: ".3"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M12,4C7.31,4,3.07,5.9,0,8.98L12,21L24,8.98C20.93,5.9,16.69,4,12,4z M2.92,9.07C5.51,7.08,8.67,6,12,6 s6.49,1.08,9.08,3.07l-2.85,2.86C16.46,10.71,14.31,10,12,10c-2.31,0-4.46,0.71-6.23,1.93L2.92,9.07z"
  })));
});
IconMaterialNetworkWifi3Bar.displayName = 'AmauiIconMaterialNetworkWifi3Bar';
export default IconMaterialNetworkWifi3Bar;