import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialPictureInPictureAlt = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "PictureInPictureAlt",
    short_name: "PictureInPictureAlt",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("path", {
    d: "M0 0h24v24H0V0z",
    fill: "none"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M19 11h-8v6h8v-6zm-2 4h-4v-2h4v2zm4-12H3c-1.1 0-2 .88-2 1.98V19c0 1.1.9 2 2 2h18c1.1 0 2-.9 2-2V4.98C23 3.88 22.1 3 21 3zm0 16.02H3V4.97h18v14.05z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M13 13h4v2h-4z",
    opacity: ".3"
  }));
});
IconMaterialPictureInPictureAlt.displayName = 'AmauiIconMaterialPictureInPictureAlt';
export default IconMaterialPictureInPictureAlt;