import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialPivotTableChart = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "PivotTableChart",
    short_name: "PivotTableChart",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("path", {
    d: "M0,0h24v24H0V0z",
    fill: "none"
  })), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("path", {
    d: "M21,5c0-1.1-0.9-2-2-2h-9v5h11V5z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M3,19c0,1.1,0.9,2,2,2h3V10H3V19z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M3,5v3h5V3H5C3.9,3,3,3.9,3,5z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M18,9l-4,4h3v2c0,1.1-0.9,2-2,2h-2v-3l-4,4l4,4v-3h2c2.21,0,4-1.79,4-4v-2h3L18,9z"
  }))));
});
IconMaterialPivotTableChart.displayName = 'AmauiIconMaterialPivotTableChart';
export default IconMaterialPivotTableChart;