import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialRemoveRoad = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "RemoveRoad",
    short_name: "RemoveRoad",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("rect", {
    fill: "none",
    height: "24",
    width: "24"
  })), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("rect", {
    height: "9",
    width: "2",
    x: "18",
    y: "4"
  }), /*#__PURE__*/React.createElement("rect", {
    height: "16",
    width: "2",
    x: "4",
    y: "4"
  }), /*#__PURE__*/React.createElement("rect", {
    height: "4",
    width: "2",
    x: "11",
    y: "4"
  }), /*#__PURE__*/React.createElement("rect", {
    height: "4",
    width: "2",
    x: "11",
    y: "10"
  }), /*#__PURE__*/React.createElement("rect", {
    height: "4",
    width: "2",
    x: "11",
    y: "16"
  }), /*#__PURE__*/React.createElement("polygon", {
    points: "22.5,16.41 21.09,15 19,17.09 16.91,15 15.5,16.41 17.59,18.5 15.5,20.59 16.91,22 19,19.91 21.09,22 22.5,20.59 20.41,18.5"
  }))));
});
IconMaterialRemoveRoad.displayName = 'AmauiIconMaterialRemoveRoad';
export default IconMaterialRemoveRoad;