import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialSkipNext = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "SkipNext",
    short_name: "SkipNext",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("path", {
    d: "M0 0h24v24H0V0z",
    fill: "none"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M8 9.86v4.28L11.03 12z",
    opacity: ".3"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M14.5 12L6 6v12l8.5-6zM8 9.86L11.03 12 8 14.14V9.86zM16 6h2v12h-2z"
  }));
});
IconMaterialSkipNext.displayName = 'AmauiIconMaterialSkipNext';
export default IconMaterialSkipNext;