import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialSquare = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "Square",
    short_name: "Square",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("rect", {
    fill: "none",
    height: "24",
    width: "24"
  })), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("g", {
    opacity: ".3"
  }, /*#__PURE__*/React.createElement("rect", {
    height: "14",
    width: "14",
    x: "5",
    y: "5"
  })), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("path", {
    d: "M3,3v18h18V3H3z M19,19H5V5h14V19z"
  }))));
});
IconMaterialSquare.displayName = 'AmauiIconMaterialSquare';
export default IconMaterialSquare;