import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialSwitchLeft = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "SwitchLeft",
    short_name: "SwitchLeft",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("rect", {
    fill: "none",
    height: "24",
    width: "24"
  }), /*#__PURE__*/React.createElement("polyline", {
    opacity: ".3",
    points: "8.5,8.62 8.5,15.38 5.12,12 8.5,8.62"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M8.5,8.62v6.76L5.12,12L8.5,8.62 M10,5l-7,7l7,7V5L10,5z M14,5v14l7-7L14,5z"
  }));
});
IconMaterialSwitchLeft.displayName = 'AmauiIconMaterialSwitchLeft';
export default IconMaterialSwitchLeft;