import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialVerticalAlignBottom = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "VerticalAlignBottom",
    short_name: "VerticalAlignBottom",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("path", {
    d: "M0 0h24v24H0V0z",
    fill: "none"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M11 3v10H8l4 4 4-4h-3V3zM4 19h16v2H4z"
  }));
});
IconMaterialVerticalAlignBottom.displayName = 'AmauiIconMaterialVerticalAlignBottom';
export default IconMaterialVerticalAlignBottom;