import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialVerticalAlignTop = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "VerticalAlignTop",
    short_name: "VerticalAlignTop",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("path", {
    d: "M0 0h24v24H0V0z",
    fill: "none"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M4 3h16v2H4zm4 8h3v10h2V11h3l-4-4z"
  }));
});
IconMaterialVerticalAlignTop.displayName = 'AmauiIconMaterialVerticalAlignTop';
export default IconMaterialVerticalAlignTop;