import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialVideoCameraBack = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "VideoCameraBack",
    short_name: "VideoCameraBack",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("rect", {
    fill: "none",
    height: "24",
    width: "24"
  })), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("path", {
    d: "M4,18h12V6H4V18z M7.38,12.83L9,15l2.62-3.5L15,16H5L7.38,12.83z",
    opacity: ".3"
  }), /*#__PURE__*/React.createElement("polygon", {
    points: "11.62,11.5 9,15 7.38,12.83 5,16 15,16"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M18,10.48V6c0-1.1-0.9-2-2-2H4C2.9,4,2,4.9,2,6v12c0,1.1,0.9,2,2,2h12c1.1,0,2-0.9,2-2v-4.48l4,3.98v-11L18,10.48z M16,18 H4V6h12V18z"
  }))));
});
IconMaterialVideoCameraBack.displayName = 'AmauiIconMaterialVideoCameraBack';
export default IconMaterialVideoCameraBack;