import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialViewArray = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "ViewArray",
    short_name: "ViewArray",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("rect", {
    fill: "none",
    height: "24",
    width: "24"
  }), /*#__PURE__*/React.createElement("rect", {
    height: "10",
    opacity: ".3",
    width: "6",
    x: "9",
    y: "7"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M15,7v10H9V7H15z M21,5h-3v14h3V5z M17,5H7v14h10V5z M6,5H3v14h3V5z"
  }));
});
IconMaterialViewArray.displayName = 'AmauiIconMaterialViewArray';
export default IconMaterialViewArray;