import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialViewCompactAlt = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "ViewCompactAlt",
    short_name: "ViewCompactAlt",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("rect", {
    fill: "none",
    height: "24",
    width: "24"
  })), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("path", {
    d: "M4,18h16V6H4V18z M12.5,7.5h4v4h-4V7.5z M12.5,12.5h4v4h-4V12.5z M7.5,7.5h4v4h-4V7.5z M7.5,12.5h4v4h-4 V12.5z",
    opacity: ".3"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M20,4H4C2.9,4,2,4.9,2,6v12c0,1.1,0.9,2,2,2h16c1.1,0,2-0.9,2-2V6C22,4.9,21.1,4,20,4z M20,18H4V6h16V18z"
  }), /*#__PURE__*/React.createElement("rect", {
    height: "4",
    width: "4",
    x: "7.5",
    y: "7.5"
  }), /*#__PURE__*/React.createElement("rect", {
    height: "4",
    width: "4",
    x: "12.5",
    y: "7.5"
  }), /*#__PURE__*/React.createElement("rect", {
    height: "4",
    width: "4",
    x: "7.5",
    y: "12.5"
  }), /*#__PURE__*/React.createElement("rect", {
    height: "4",
    width: "4",
    x: "12.5",
    y: "12.5"
  }))));
});
IconMaterialViewCompactAlt.displayName = 'AmauiIconMaterialViewCompactAlt';
export default IconMaterialViewCompactAlt;