import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialViewCozy = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "ViewCozy",
    short_name: "ViewCozy",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("rect", {
    fill: "none",
    height: "24",
    width: "24"
  })), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("path", {
    d: "M4,18h16V6H4V18z M12.75,7.25h4v4h-4V7.25z M12.75,12.75h4v4h-4V12.75z M7.25,7.25h4v4h-4V7.25z M7.25,12.75h4v4h-4V12.75z",
    opacity: ".3"
  }), /*#__PURE__*/React.createElement("rect", {
    height: "4",
    width: "4",
    x: "7.25",
    y: "7.25"
  }), /*#__PURE__*/React.createElement("rect", {
    height: "4",
    width: "4",
    x: "12.75",
    y: "7.25"
  }), /*#__PURE__*/React.createElement("rect", {
    height: "4",
    width: "4",
    x: "7.25",
    y: "12.75"
  }), /*#__PURE__*/React.createElement("rect", {
    height: "4",
    width: "4",
    x: "12.75",
    y: "12.75"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M20,4H4C2.9,4,2,4.9,2,6v12c0,1.1,0.9,2,2,2h16c1.1,0,2-0.9,2-2V6C22,4.9,21.1,4,20,4z M20,18H4V6h16V18z"
  }))));
});
IconMaterialViewCozy.displayName = 'AmauiIconMaterialViewCozy';
export default IconMaterialViewCozy;