import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialWindow = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "Window",
    short_name: "Window",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("rect", {
    fill: "none",
    height: "24",
    width: "24"
  })), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("rect", {
    height: "6",
    opacity: ".3",
    width: "6",
    x: "13",
    y: "13"
  }), /*#__PURE__*/React.createElement("rect", {
    height: "6",
    opacity: ".3",
    width: "6",
    x: "5",
    y: "13"
  }), /*#__PURE__*/React.createElement("rect", {
    height: "6",
    opacity: ".3",
    width: "6",
    x: "5",
    y: "5"
  }), /*#__PURE__*/React.createElement("rect", {
    height: "6",
    opacity: ".3",
    width: "6",
    x: "13",
    y: "5"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M19 3H5c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm-8 16H5v-6h6v6zm0-8H5V5h6v6zm8 8h-6v-6h6v6zm0-8h-6V5h6v6z"
  }))));
});
IconMaterialWindow.displayName = 'AmauiIconMaterialWindow';
export default IconMaterialWindow;