"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = __importDefault(require("react"));
const ui_react_1 = require("@amaui/ui-react");
const IconMaterialAccessible = react_1.default.forwardRef((props, ref) => {
    return ((0, jsx_runtime_1.jsxs)(ui_react_1.Icon, Object.assign({ ref: ref, name: 'Accessible', short_name: 'Accessible', viewBox: '0 0 24 24' }, props, { children: [(0, jsx_runtime_1.jsx)("path", { d: "M0 0h24v24H0V0z", fill: "none" }), (0, jsx_runtime_1.jsx)("circle", { cx: "12", cy: "4", r: "2" }), (0, jsx_runtime_1.jsx)("path", { d: "M19 13v-2c-1.54.02-3.09-.75-4.07-1.83l-1.29-1.43c-.17-.19-.38-.34-.61-.45-.01 0-.01-.01-.02-.01H13c-.35-.2-.75-.3-1.19-.26C10.76 7.11 10 8.04 10 9.09V15c0 1.1.9 2 2 2h5v5h2v-5.5c0-1.1-.9-2-2-2h-3v-3.45c1.29 1.07 3.25 1.94 5 1.95zm-6.17 5c-.41 1.16-1.52 2-2.83 2-1.66 0-3-1.34-3-3 0-1.31.84-2.41 2-2.83V12.1c-2.28.46-4 2.48-4 4.9 0 2.76 2.24 5 5 5 2.42 0 4.44-1.72 4.9-4h-2.07z" })] })));
});
IconMaterialAccessible.displayName = 'AmauiIconMaterialAccessible';
exports.default = IconMaterialAccessible;
