import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialAddBusiness = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "AddBusiness",
    short_name: "AddBusiness",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("rect", {
    fill: "none",
    height: "24",
    width: "24"
  })), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("polygon", {
    opacity: ".3",
    points: "15.36,9 3.64,9 3.04,12 15.96,12"
  }), /*#__PURE__*/React.createElement("rect", {
    height: "2",
    width: "15",
    x: "2",
    y: "4"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M15,17h2v-3h1v-2l-1-5H2l-1,5v2h1v6h9v-6h4V17z M9,18H4v-4h5V18z M3.04,12l0.6-3h11.72l0.6,3H3.04z"
  }), /*#__PURE__*/React.createElement("polygon", {
    points: "20,18 20,15 18,15 18,18 15,18 15,20 18,20 18,23 20,23 20,20 23,20 23,18"
  }))));
});
IconMaterialAddBusiness.displayName = 'AmauiIconMaterialAddBusiness';
export default IconMaterialAddBusiness;