import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialAddChart = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "AddChart",
    short_name: "AddChart",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("rect", {
    fill: "none",
    height: "24",
    width: "24"
  })), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("rect", {
    height: "10",
    width: "2",
    x: "11",
    y: "7"
  }), /*#__PURE__*/React.createElement("rect", {
    height: "4",
    width: "2",
    x: "15",
    y: "13"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M19,19H5V5h9V3H5C3.9,3,3,3.9,3,5v14c0,1.1,0.9,2,2,2h14c1.1,0,2-0.9,2-2v-9h-2V19z"
  }), /*#__PURE__*/React.createElement("rect", {
    height: "7",
    width: "2",
    x: "7",
    y: "10"
  }), /*#__PURE__*/React.createElement("polygon", {
    points: "19,5 19,3 17,3 17,5 15,5 15,7 17,7 17,9 19,9 19,7 21,7 21,5"
  }))));
});
IconMaterialAddChart.displayName = 'AmauiIconMaterialAddChart';
export default IconMaterialAddChart;