import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialArrowDropDown = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "ArrowDropDown",
    short_name: "ArrowDropDown",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("path", {
    d: "M0 0h24v24H0V0z",
    fill: "none"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M7 10l5 5 5-5H7z"
  }));
});
IconMaterialArrowDropDown.displayName = 'AmauiIconMaterialArrowDropDown';
export default IconMaterialArrowDropDown;