import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialCallMade = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "CallMade",
    short_name: "CallMade",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("path", {
    d: "M0 0h24v24H0V0z",
    fill: "none"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M5.41 20L17 8.41V15h2V5H9v2h6.59L4 18.59z"
  }));
});
IconMaterialCallMade.displayName = 'AmauiIconMaterialCallMade';
export default IconMaterialCallMade;