import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialChangeHistory = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "ChangeHistory",
    short_name: "ChangeHistory",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("path", {
    d: "M0 0h24v24H0V0z",
    fill: "none"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M12 7.77L5.61 18h12.78z",
    opacity: ".3"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M12 4L2 20h20L12 4zm0 3.77L18.39 18H5.61L12 7.77z"
  }));
});
IconMaterialChangeHistory.displayName = 'AmauiIconMaterialChangeHistory';
export default IconMaterialChangeHistory;