import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialClearAll = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "ClearAll",
    short_name: "ClearAll",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("path", {
    d: "M0 0h24v24H0V0z",
    fill: "none"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M5 11h14v2H5zm-2 4h14v2H3zm4-8h14v2H7z"
  }));
});
IconMaterialClearAll.displayName = 'AmauiIconMaterialClearAll';
export default IconMaterialClearAll;