import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialCurtains = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "Curtains",
    short_name: "Curtains",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("rect", {
    fill: "none",
    height: "24",
    width: "24"
  })), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("path", {
    d: "M6,13.14V19h3.94C9.64,16.07,8.05,13.73,6,13.14z",
    opacity: ".3"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M9.94,5H6v5.86C8.05,10.27,9.64,7.93,9.94,5z",
    opacity: ".3"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M14.06,19H18v-5.86C15.95,13.73,14.36,16.07,14.06,19z",
    opacity: ".3"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M18,10.86V5h-3.94C14.36,7.93,15.95,10.27,18,10.86z",
    opacity: ".3"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M20,19V3H4v16H2v2h20v-2H20z M6,5h3.94C9.64,7.93,8.05,10.27,6,10.86V5z M6,19v-5.86c2.05,0.58,3.64,2.93,3.94,5.86H6z M11.95,19c-0.26-3.06-1.72-5.65-3.76-7c2.04-1.35,3.5-3.94,3.76-7h0.09c0.26,3.06,1.72,5.65,3.76,7c-2.04,1.35-3.5,3.94-3.76,7 H11.95z M18,19h-3.94c0.3-2.93,1.89-5.27,3.94-5.86V19z M18,10.86c-2.05-0.58-3.64-2.93-3.94-5.86H18V10.86z"
  }))));
});
IconMaterialCurtains.displayName = 'AmauiIconMaterialCurtains';
export default IconMaterialCurtains;