import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialDetails = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "Details",
    short_name: "Details",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("rect", {
    fill: "none",
    height: "24",
    width: "24"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M13,8.92L18.6,19H13V8.92z M11,8.92V19H5.4L11,8.92z",
    opacity: ".3"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M12,3L2,21h20L12,3z M13,8.92L18.6,19H13V8.92z M11,8.92V19H5.4L11,8.92z"
  }));
});
IconMaterialDetails.displayName = 'AmauiIconMaterialDetails';
export default IconMaterialDetails;