import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialDriveFileMoveRtl = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "DriveFileMoveRtl",
    short_name: "DriveFileMoveRtl",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("rect", {
    fill: "none",
    height: "24",
    width: "24"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M11.17,8l-2-2H4v12h16V8H11.17z M16,14h-4v3l-4-4l4-4v3h4V14z",
    opacity: ".3"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M20,6h-8l-2-2H4C2.9,4,2,4.9,2,6v12c0,1.1,0.9,2,2,2h16c1.1,0,2-0.9,2-2V8C22,6.9,21.1,6,20,6z M20,18H4V6h5.17l2,2H20V18z M12,17l-4-4l4-4v3h4v2h-4V17z"
  }));
});
IconMaterialDriveFileMoveRtl.displayName = 'AmauiIconMaterialDriveFileMoveRtl';
export default IconMaterialDriveFileMoveRtl;