import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialEqualizer = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "Equalizer",
    short_name: "Equalizer",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("path", {
    d: "M0 0h24v24H0V0z",
    fill: "none"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M16 9h4v11h-4zm-6-5h4v16h-4zm-6 8h4v8H4z"
  }));
});
IconMaterialEqualizer.displayName = 'AmauiIconMaterialEqualizer';
export default IconMaterialEqualizer;