import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialFolderCopy = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "FolderCopy",
    short_name: "FolderCopy",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("rect", {
    fill: "none",
    height: "24",
    width: "24"
  })), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("polygon", {
    opacity: ".3",
    points: "11.17,4 7,4 7,15 21,15 21,6 13.17,6"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M21,4h-7l-2-2H7C5.9,2,5.01,2.9,5.01,4L5,15c0,1.1,0.9,2,2,2h14c1.1,0,2-0.9,2-2V6C23,4.9,22.1,4,21,4z M21,15H7V4h4.17 l2,2H21V15z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M3,6H1v13c0,1.1,0.9,2,2,2h17v-2H3V6z"
  }))));
});
IconMaterialFolderCopy.displayName = 'AmauiIconMaterialFolderCopy';
export default IconMaterialFolderCopy;