import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialInstallMobile = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "InstallMobile",
    short_name: "InstallMobile",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("rect", {
    fill: "none",
    height: "24",
    width: "24"
  })), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("rect", {
    height: "1",
    opacity: ".3",
    width: "10",
    x: "7",
    y: "20"
  }), /*#__PURE__*/React.createElement("rect", {
    height: "1",
    opacity: ".3",
    width: "7",
    x: "7",
    y: "3"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M17,18H7V6h7V4H7V3h7V1.01L7,1C5.9,1,5,1.9,5,3v18c0,1.1,0.9,2,2,2h10c1.1,0,2-0.9,2-2v-5h-2V18z M17,21H7v-1h10V21z"
  }), /*#__PURE__*/React.createElement("polygon", {
    points: "19,3 17,3 17,10.17 14.41,7.59 14,8 13,9 14,10 18,14 21,11 23,9 21.59,7.59 21,8.18 19,10.17"
  }))));
});
IconMaterialInstallMobile.displayName = 'AmauiIconMaterialInstallMobile';
export default IconMaterialInstallMobile;