import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialMeetingRoom = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "MeetingRoom",
    short_name: "MeetingRoom",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("path", {
    d: "M0 0h24v24H0V0z",
    fill: "none"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M7 19h6V5H7v14zm3-8h2v2h-2v-2z",
    opacity: ".3"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M19 19V4h-4V3H5v16H3v2h12V6h2v15h4v-2h-2zm-6 0H7V5h6v14zm-3-8h2v2h-2z"
  }));
});
IconMaterialMeetingRoom.displayName = 'AmauiIconMaterialMeetingRoom';
export default IconMaterialMeetingRoom;