import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialNavigateBefore = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "NavigateBefore",
    short_name: "NavigateBefore",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("path", {
    d: "M0 0h24v24H0V0z",
    fill: "none"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M14.2 6l-6 6 6 6 1.41-1.41L11.03 12l4.58-4.59z"
  }));
});
IconMaterialNavigateBefore.displayName = 'AmauiIconMaterialNavigateBefore';
export default IconMaterialNavigateBefore;