import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialNavigateNext = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "NavigateNext",
    short_name: "NavigateNext",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("path", {
    d: "M0 0h24v24H0V0z",
    fill: "none"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M10.02 18l6-6-6-6-1.41 1.41L13.19 12l-4.58 4.59z"
  }));
});
IconMaterialNavigateNext.displayName = 'AmauiIconMaterialNavigateNext';
export default IconMaterialNavigateNext;