import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialNightShelter = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "NightShelter",
    short_name: "NightShelter",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("rect", {
    fill: "none",
    height: "24",
    width: "24"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M12,5.5l6,4.5v9H6v-9L12,5.5 M15,12h-3.5v3.5H8V11H7v7h1v-1.5h8V18h1v-4C17,12.9,16.1,12,15,12z M9.75,12.5 c-0.69,0-1.25,0.56-1.25,1.25C8.5,14.44,9.06,15,9.75,15S11,14.44,11,13.75C11,13.06,10.44,12.5,9.75,12.5z",
    opacity: ".3"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M12,5.5l6,4.5v9H6v-9L12,5.5 M12,3L4,9v12h16V9L12,3L12,3z M15,12h-3.5v3.5H8V11H7v7h1v-1.5h8V18h1v-4 C17,12.9,16.1,12,15,12z M9.75,12.5c-0.69,0-1.25,0.56-1.25,1.25C8.5,14.44,9.06,15,9.75,15S11,14.44,11,13.75 C11,13.06,10.44,12.5,9.75,12.5z"
  }));
});
IconMaterialNightShelter.displayName = 'AmauiIconMaterialNightShelter';
export default IconMaterialNightShelter;