import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialNorthWest = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "NorthWest",
    short_name: "NorthWest",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("rect", {
    fill: "none",
    height: "24",
    width: "24"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M5,15h2V8.41L18.59,20L20,18.59L8.41,7H15V5H5V15z"
  }));
});
IconMaterialNorthWest.displayName = 'AmauiIconMaterialNorthWest';
export default IconMaterialNorthWest;