import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialPlayArrow = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "PlayArrow",
    short_name: "PlayArrow",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("path", {
    d: "M0 0h24v24H0V0z",
    fill: "none"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M10 8.64v6.72L15.27 12z",
    opacity: ".3"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M8 19l11-7L8 5v14zm2-10.36L15.27 12 10 15.36V8.64z"
  }));
});
IconMaterialPlayArrow.displayName = 'AmauiIconMaterialPlayArrow';
export default IconMaterialPlayArrow;