import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialPostAdd = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "PostAdd",
    short_name: "PostAdd",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("rect", {
    fill: "none",
    height: "24",
    width: "24"
  })), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("g", null), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("path", {
    d: "M17,19.22H5V7h7V5H5C3.9,5,3,5.9,3,7v12c0,1.1,0.9,2,2,2h12c1.1,0,2-0.9,2-2v-7h-2V19.22z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M19,2h-2v3h-3c0.01,0.01,0,2,0,2h3v2.99c0.01,0.01,2,0,2,0V7h3V5h-3V2z"
  }), /*#__PURE__*/React.createElement("rect", {
    height: "2",
    width: "8",
    x: "7",
    y: "9"
  }), /*#__PURE__*/React.createElement("polygon", {
    points: "7,12 7,14 15,14 15,12 12,12"
  }), /*#__PURE__*/React.createElement("rect", {
    height: "2",
    width: "8",
    x: "7",
    y: "15"
  }))));
});
IconMaterialPostAdd.displayName = 'AmauiIconMaterialPostAdd';
export default IconMaterialPostAdd;