import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialScreenshotMonitor = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "ScreenshotMonitor",
    short_name: "ScreenshotMonitor",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("rect", {
    fill: "none",
    height: "24",
    width: "24"
  })), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("path", {
    d: "M4,17h16V5H4V17z M15,14.5h2.5V12H19v4h-4V14.5z M5,6h4v1.5H6.5V10H5V6z",
    opacity: ".3"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M20,3H4C2.89,3,2,3.89,2,5v12c0,1.1,0.89,2,2,2h4v2h8v-2h4c1.1,0,2-0.9,2-2V5C22,3.89,21.1,3,20,3z M20,17H4V5h16V17z"
  }), /*#__PURE__*/React.createElement("polygon", {
    points: "6.5,7.5 9,7.5 9,6 5,6 5,10 6.5,10"
  }), /*#__PURE__*/React.createElement("polygon", {
    points: "19,12 17.5,12 17.5,14.5 15,14.5 15,16 19,16"
  }))));
});
IconMaterialScreenshotMonitor.displayName = 'AmauiIconMaterialScreenshotMonitor';
export default IconMaterialScreenshotMonitor;