import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialSensorWindow = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "SensorWindow",
    short_name: "SensorWindow",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("rect", {
    fill: "none",
    height: "24",
    width: "24"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M18,4v7h-4v-1h-4v1H6V4H18z M6,20v-7h12v7H6z",
    opacity: ".3"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M18,2H6C4.9,2,4,2.9,4,4v16c0,1.1,0.9,2,2,2h12c1.1,0,2-0.9,2-2V4C20,2.9,19.1,2,18,2z M18,4v7h-4v-1h-4v1H6V4H18z M6,20 v-7h12v7H6z"
  })));
});
IconMaterialSensorWindow.displayName = 'AmauiIconMaterialSensorWindow';
export default IconMaterialSensorWindow;