import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialSingleBed = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "SingleBed",
    short_name: "SingleBed",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("rect", {
    fill: "none",
    height: "24",
    width: "24"
  })), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("rect", {
    height: "3",
    opacity: ".3",
    width: "12",
    x: "6",
    y: "12"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M18,10V7c0-1.1-0.9-2-2-2H8C6.9,5,6,5.9,6,7v3c-1.1,0-2,0.9-2,2v5h1.33L6,19h1l0.67-2h8.67L17,19h1l0.67-2H20v-5 C20,10.9,19.1,10,18,10z M13,7h3v3h-3V7z M8,7h3v3H8V7z M18,15H6v-3h12V15z"
  }))));
});
IconMaterialSingleBed.displayName = 'AmauiIconMaterialSingleBed';
export default IconMaterialSingleBed;