import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialSkipPrevious = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "SkipPrevious",
    short_name: "SkipPrevious",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("path", {
    d: "M0 0h24v24H0V0z",
    fill: "none"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M16 14.14V9.86L12.97 12z",
    opacity: ".3"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M6 6h2v12H6zm12 12V6l-8.5 6 8.5 6zm-2-3.86L12.97 12 16 9.86v4.28z"
  }));
});
IconMaterialSkipPrevious.displayName = 'AmauiIconMaterialSkipPrevious';
export default IconMaterialSkipPrevious;