import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialSpaceBar = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "SpaceBar",
    short_name: "SpaceBar",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("path", {
    d: "M0 0h24v24H0V0z",
    fill: "none"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M18 13H6V9H4v6h16V9h-2z"
  }));
});
IconMaterialSpaceBar.displayName = 'AmauiIconMaterialSpaceBar';
export default IconMaterialSpaceBar;