import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialStackedBarChart = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "StackedBarChart",
    short_name: "StackedBarChart",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("rect", {
    fill: "none",
    height: "24",
    width: "24"
  })), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("rect", {
    height: "11",
    width: "4",
    x: "4",
    y: "9"
  }), /*#__PURE__*/React.createElement("rect", {
    height: "4",
    width: "4",
    x: "4",
    y: "4"
  }), /*#__PURE__*/React.createElement("rect", {
    height: "4",
    width: "4",
    x: "10",
    y: "7"
  }), /*#__PURE__*/React.createElement("rect", {
    height: "4",
    width: "4",
    x: "16",
    y: "10"
  }), /*#__PURE__*/React.createElement("rect", {
    height: "5",
    width: "4",
    x: "16",
    y: "15"
  }), /*#__PURE__*/React.createElement("rect", {
    height: "8",
    width: "4",
    x: "10",
    y: "12"
  }))));
});
IconMaterialStackedBarChart.displayName = 'AmauiIconMaterialStackedBarChart';
export default IconMaterialStackedBarChart;