import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialStop = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "Stop",
    short_name: "Stop",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("path", {
    d: "M0 0h24v24H0V0z",
    fill: "none"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M8 8h8v8H8z",
    opacity: ".3"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M6 18h12V6H6v12zM8 8h8v8H8V8z"
  }));
});
IconMaterialStop.displayName = 'AmauiIconMaterialStop';
export default IconMaterialStop;