import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialSyncAlt = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "SyncAlt",
    short_name: "SyncAlt",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("rect", {
    fill: "none",
    height: "24",
    width: "24"
  })), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("polygon", {
    points: "18,12 22,8 18,4 18,7 3,7 3,9 18,9"
  }), /*#__PURE__*/React.createElement("polygon", {
    points: "6,12 2,16 6,20 6,17 21,17 21,15 6,15"
  }))));
});
IconMaterialSyncAlt.displayName = 'AmauiIconMaterialSyncAlt';
export default IconMaterialSyncAlt;