import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialTornado = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "Tornado",
    short_name: "Tornado",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("rect", {
    fill: "none",
    height: "24",
    width: "24"
  })), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("polygon", {
    opacity: ".3",
    points: "9.1,13 14.9,13 16.64,10 7.36,10"
  }), /*#__PURE__*/React.createElement("polygon", {
    opacity: ".3",
    points: "12,18.01 13.74,15 10.26,15"
  }), /*#__PURE__*/React.createElement("polygon", {
    opacity: ".3",
    points: "4.47,5 6.21,8 17.79,8 19.53,5"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M1,3l11,19L23,3H1z M12,18.01L10.26,15h3.48L12,18.01z M14.9,13H9.1l-1.74-3h9.27L14.9,13z M6.21,8L4.47,5h15.06l-1.74,3 H6.21z"
  }))));
});
IconMaterialTornado.displayName = 'AmauiIconMaterialTornado';
export default IconMaterialTornado;