import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialTransitEnterexit = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "TransitEnterexit",
    short_name: "TransitEnterexit",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("path", {
    d: "M0 0h24v24H0V0z",
    fill: "none"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M15.98 6L9 12.77V8H6v10h10v-3h-4.85L18 8.03z"
  }));
});
IconMaterialTransitEnterexit.displayName = 'AmauiIconMaterialTransitEnterexit';
export default IconMaterialTransitEnterexit;