import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialTypeSpecimen = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "TypeSpecimen",
    short_name: "TypeSpecimen",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("rect", {
    fill: "none",
    height: "24",
    width: "24"
  })), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("polygon", {
    opacity: ".3",
    points: "14.04,7.17 13.96,7.17 12.65,10.89 15.34,10.89"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M8,16h12V4H8V16z M13.2,5.5h1.61l3.38,9h-1.56l-0.8-2.3h-3.63l-0.82,2.3H9.81L13.2,5.5z",
    opacity: ".3"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M4,6H2v14c0,1.1,0.9,2,2,2h14v-2H4V6z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M20,2H8C6.9,2,6,2.9,6,4v12c0,1.1,0.9,2,2,2h12c1.1,0,2-0.9,2-2V4C22,2.9,21.1,2,20,2z M20,16H8V4h12V16z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M12.19,12.2h3.63l0.8,2.3h1.56l-3.38-9H13.2l-3.38,9h1.56L12.19,12.2z M13.96,7.17h0.08l1.31,3.72h-2.69L13.96,7.17z"
  }))));
});
IconMaterialTypeSpecimen.displayName = 'AmauiIconMaterialTypeSpecimen';
export default IconMaterialTypeSpecimen;