import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialUpload = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "Upload",
    short_name: "Upload",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("path", {
    d: "M0 0h24v24H0V0z",
    fill: "none"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M9.83 8H11v6h2V8h1.17L12 5.83z",
    opacity: ".3"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M12 3l-7 7h4v6h6v-6h4l-7-7zm1 5v6h-2V8H9.83L12 5.83 14.17 8H13zM5 18h14v2H5z"
  }));
});
IconMaterialUpload.displayName = 'AmauiIconMaterialUpload';
export default IconMaterialUpload;