import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialVerticalShades = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "VerticalShades",
    short_name: "VerticalShades",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("rect", {
    fill: "none",
    height: "24",
    width: "24"
  })), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("rect", {
    height: "14",
    opacity: ".3",
    width: "2",
    x: "6",
    y: "5"
  }), /*#__PURE__*/React.createElement("rect", {
    height: "14",
    opacity: ".3",
    width: "2",
    x: "16",
    y: "5"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M20,19V3H4v16H2v2h20v-2H20z M8,19H6V5h2V19z M14,19h-4V5h4V19z M18,19h-2V5h2V19z"
  }))));
});
IconMaterialVerticalShades.displayName = 'AmauiIconMaterialVerticalShades';
export default IconMaterialVerticalShades;