import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialViewComfy = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "ViewComfy",
    short_name: "ViewComfy",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("rect", {
    fill: "none",
    height: "24",
    width: "24"
  })), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("path", {
    d: "M10,18h10v-5H10V18z M4,6v5h16V6H4z M4,18h4v-5H4V18z",
    opacity: ".3"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M2,4v16h20V4H2z M8,18H4v-5h4V18z M20,18H10v-5h10V18z M20,11H4V6h16V11z"
  }))));
});
IconMaterialViewComfy.displayName = 'AmauiIconMaterialViewComfy';
export default IconMaterialViewComfy;