import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialViewComfyAlt = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "ViewComfyAlt",
    short_name: "ViewComfyAlt",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("rect", {
    fill: "none",
    height: "24",
    width: "24"
  })), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("path", {
    d: "M4,18h16V6H4V18z M13,7h4v4h-4V7z M13,13h4v4h-4V13z M7,7h4v4H7V7z M7,13h4v4H7V13z",
    opacity: ".3"
  }), /*#__PURE__*/React.createElement("rect", {
    height: "4",
    width: "4",
    x: "7",
    y: "7"
  }), /*#__PURE__*/React.createElement("rect", {
    height: "4",
    width: "4",
    x: "13",
    y: "7"
  }), /*#__PURE__*/React.createElement("rect", {
    height: "4",
    width: "4",
    x: "7",
    y: "13"
  }), /*#__PURE__*/React.createElement("rect", {
    height: "4",
    width: "4",
    x: "13",
    y: "13"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M20,4H4C2.9,4,2,4.9,2,6v12c0,1.1,0.9,2,2,2h16c1.1,0,2-0.9,2-2V6C22,4.9,21.1,4,20,4z M20,18H4V6h16V18z"
  }))));
});
IconMaterialViewComfyAlt.displayName = 'AmauiIconMaterialViewComfyAlt';
export default IconMaterialViewComfyAlt;