import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Icon } from '@amaui/ui-react';
const IconMaterialVolumeMute = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    ref: ref,
    name: "VolumeMute",
    short_name: "VolumeMute",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("path", {
    d: "M0 0h24v24H0V0z",
    fill: "none"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M9 13h2.83L14 15.17V8.83L11.83 11H9z",
    opacity: ".3"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M7 9v6h4l5 5V4l-5 5H7zm7-.17v6.34L11.83 13H9v-2h2.83L14 8.83z"
  }));
});
IconMaterialVolumeMute.displayName = 'AmauiIconMaterialVolumeMute';
export default IconMaterialVolumeMute;